/*

------------------------------------------------------------------------------

A license is hereby granted to reproduce this software source code and
to create executable versions from this source code for personal,
non-commercial use.  The copyright notice included with the software
must be maintained in all copies produced.

THIS PROGRAM IS PROVIDED "AS IS". THE AUTHOR PROVIDES NO WARRANTIES
WHATSOEVER, EXPRESSED OR IMPLIED, INCLUDING WARRANTIES OF
MERCHANTABILITY, TITLE, OR FITNESS FOR ANY PARTICULAR PURPOSE.  THE
AUTHOR DOES NOT WARRANT THAT USE OF THIS PROGRAM DOES NOT INFRINGE THE
INTELLECTUAL PROPERTY RIGHTS OF ANY THIRD PARTY IN ANY COUNTRY.

Copyright (c) 1995, John Conover, All Rights Reserved.

Comments and/or bug reports should be addressed to:

    john@johncon.com (John Conover)

------------------------------------------------------------------------------

searchpath.h, general include file for searchpath.c

$Revision: 1.0 $
$Date: 1995/04/22 05:14:50 $
$Id: searchpath.h,v 1.0 1995/04/22 05:14:50 john Exp $
$Log: searchpath.h,v $
 * Revision 1.0  1995/04/22  05:14:50  john
 * Initial revision
 *

*/

#ifndef _SEARCHPATH_H /* if not defined then searchpath.h has not yet been included */

#define _SEARCHPATH_H

#define SEARCHPATH_H_ID "$Id: searchpath.h,v 1.0 1995/04/22 05:14:50 john Exp $" /* module version */

typedef struct relevance_struct         /* relevance structure */
{
    char *name; /* reference to file name */
    int count; /* relevance count */
    struct relevance_struct *next; /* reference to next RELEVANCE element in relevance list */
} RELEVANCE;

extern RELEVANCE *relevance_stack; /* reference to relevance stack */

#ifdef __STDC__

extern int searchpath (char *name, ELEMENT *postfix_stack, BMHPATTERN *pattern_stack);
extern void int_searchpath (void);

#else

extern int searchpath ();
extern void int_searchpath ();

#endif

#endif
